BeadBuilder Class

class NXOpen.Features.SheetMetal.BeadBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a Bead feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateBeadFeatureBuilder()

New in version NX4.0.0.

Properties

Property Description
Angle Returns the angle of the bead.
CrossSectionType Returns or sets the bead profile type .
DieRadius Returns the bead die radius.
EndType Returns or sets the bead end type .
Height Returns the height of the bead.
HeightSide Returns or sets the Height side for the bead.
IncludeRounding Returns or sets the rounding type .
MinimumToolClearance Returns the Minimum tool clearance expression.
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PunchRadius Returns the bead punch radius.
PunchedWidth Returns the Punched width of the bead.
Radius Returns the radius of the bead.
Section Returns or sets the Section used by the bead.
Sketch Returns or sets the Slave Sketch used by the Bead, If one exists.
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
TaperDistance Returns the taper distance of the bead.
Width Returns the width of the bead.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetAngle  
SetDieRadius  
SetHeight  
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetPunchRadius  
SetPunchedWidth  
SetRadius  
SetWidth  
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.
ValidateBuilderData Verify whether the builder data is valid for creating a Bead or not.

Enumerations

BeadBuilderCrossSectionTypeOptions Enumeration This enum represents the cross section type options for the Bead.
BeadBuilderEndTypeOptions Enumeration This enum represents the end type options for the Bead.
BeadBuilderHeightSideOptions Enumeration This enum represents the depth direction for the Bead.

Property Detail

Angle

BeadBuilder.Angle

Returns the angle of the bead.

-------------------------------------

Getter Method

Signature Angle

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

CrossSectionType

BeadBuilder.CrossSectionType

Returns or sets the bead profile type .

Specify NXOpen.Features.SheetMetal.BeadBuilderCrossSectionTypeOptions.Circular to have profile of half circle. Specify NXOpen.Features.SheetMetal.BeadBuilderCrossSectionTypeOptions.Ushaped to have profile of U shape. Specify NXOpen.Features.SheetMetal.BeadBuilderCrossSectionTypeOptions.Vshaped to have profile of V shape.

-------------------------------------

Getter Method

Signature CrossSectionType

Returns:
Return type:NXOpen.Features.SheetMetal.BeadBuilderCrossSectionTypeOptions

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

-------------------------------------

Setter Method

Signature CrossSectionType

Parameters:crossSectionOption (NXOpen.Features.SheetMetal.BeadBuilderCrossSectionTypeOptions) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

DieRadius

BeadBuilder.DieRadius

Returns the bead die radius.

-------------------------------------

Getter Method

Signature DieRadius

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

EndType

BeadBuilder.EndType

Returns or sets the bead end type .

Specify NXOpen.Features.SheetMetal.BeadBuilderEndTypeOptions.Formed to have ends of bead feature be formed. Specify NXOpen.Features.SheetMetal.BeadBuilderEndTypeOptions.Lanced to have ends of bead feature be Lanced. Specify NXOpen.Features.SheetMetal.BeadBuilderEndTypeOptions.Punched to have ends of bead feature be Punched. Specify NXOpen.Features.SheetMetal.BeadBuilderEndTypeOptions.Tapered to have ends of bead feature be Tapered.

-------------------------------------

Getter Method

Signature EndType

Returns:
Return type:NXOpen.Features.SheetMetal.BeadBuilderEndTypeOptions

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

-------------------------------------

Setter Method

Signature EndType

Parameters:beadEndOptions (NXOpen.Features.SheetMetal.BeadBuilderEndTypeOptions) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Height

BeadBuilder.Height

Returns the height of the bead.

-------------------------------------

Getter Method

Signature Height

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

HeightSide

BeadBuilder.HeightSide

Returns or sets the Height side for the bead.

This is used to specify the direction in which the Bead is created. If Bead creation must happen in the direction of the Section Normal (specified using the NXOpen.Features.SheetMetal.BeadBuilder.Section`()) then pass the value of NXOpen.Features.SheetMetal.BeadBuilderHeightSideOptions.SectionNormalSide If Bead creation must happen in the opposite direction to that of Section Normal, set the value to be NXOpen.Features.SheetMetal.BeadBuilderHeightSideOptions.SectionReverseNormalSide

-------------------------------------

Getter Method

Signature HeightSide

Returns:
Return type:NXOpen.Features.SheetMetal.BeadBuilderHeightSideOptions

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

-------------------------------------

Setter Method

Signature HeightSide

Parameters:heightSide (NXOpen.Features.SheetMetal.BeadBuilderHeightSideOptions) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

IncludeRounding

BeadBuilder.IncludeRounding

Returns or sets the rounding type .

Specify true to Round the Sharp edges. Specify false to avoid rounding.

-------------------------------------

Getter Method

Signature IncludeRounding

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

-------------------------------------

Setter Method

Signature IncludeRounding

Parameters:rounding (bool) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

MinimumToolClearance

BeadBuilder.MinimumToolClearance

Returns the Minimum tool clearance expression.

-------------------------------------

Getter Method

Signature MinimumToolClearance

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

PunchRadius

BeadBuilder.PunchRadius

Returns the bead punch radius.

-------------------------------------

Getter Method

Signature PunchRadius

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

PunchedWidth

BeadBuilder.PunchedWidth

Returns the Punched width of the bead.

-------------------------------------

Getter Method

Signature PunchedWidth

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Radius

BeadBuilder.Radius

Returns the radius of the bead.

-------------------------------------

Getter Method

Signature Radius

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Section

BeadBuilder.Section

Returns or sets the Section used by the bead.

section should be open.

-------------------------------------

Getter Method

Signature Section

Returns:
Return type:NXOpen.Section

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

-------------------------------------

Setter Method

Signature Section

Parameters:section (NXOpen.Section) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Sketch

BeadBuilder.Sketch

Returns or sets the Slave Sketch used by the Bead, If one exists.

If the Sketch is created internally as part of the Bead command in the UI, then it shall be consumed by the Bead and shall not show up as a separate feature in the Part Navigator. If such a behaviour is deired, then specify the Sketch here.

-------------------------------------

Getter Method

Signature Sketch

Returns:
Return type:NXOpen.Features.SketchFeature

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

-------------------------------------

Setter Method

Signature Sketch

Parameters:sketch (NXOpen.Features.SketchFeature) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

TaperDistance

BeadBuilder.TaperDistance

Returns the taper distance of the bead.

-------------------------------------

Getter Method

Signature TaperDistance

Returns:
Return type:NXOpen.Expression

New in version NX8.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Width

BeadBuilder.Width

Returns the width of the bead.

-------------------------------------

Getter Method

Signature Width

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Method Detail

SetAngle

BeadBuilder.SetAngle

Signature SetAngle(beadAngle)

Parameters:beadAngle (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Angle() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetDieRadius

BeadBuilder.SetDieRadius

Signature SetDieRadius(beadDieRadius)

Parameters:beadDieRadius (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.DieRadius() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetHeight

BeadBuilder.SetHeight

Signature SetHeight(beadHeight)

Parameters:beadHeight (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Height() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetPunchRadius

BeadBuilder.SetPunchRadius

Signature SetPunchRadius(punchRadius)

Parameters:punchRadius (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.PunchRadius() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetPunchedWidth

BeadBuilder.SetPunchedWidth

Signature SetPunchedWidth(punchedWidth)

Parameters:punchedWidth (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.PunchedWidth() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetRadius

BeadBuilder.SetRadius

Signature SetRadius(beadRadius)

Parameters:beadRadius (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Radius() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetWidth

BeadBuilder.SetWidth

Signature SetWidth(beadWidth)

Parameters:beadWidth (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use NXOpen.Expression.RightHandSide() on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.BeadBuilder.Width() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Validate

BeadBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.

ValidateBuilderData

BeadBuilder.ValidateBuilderData

Verify whether the builder data is valid for creating a Bead or not.

If the Builder data is valid, returned value shall be 0

Signature ValidateBuilderData()

Returns:Data Validity Flag.
Return type:int

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)